package agent

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/agent"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /agent/collection/detail agent GetAgentCollectionInfo
//
// Get collect detail | 获取collection详情
//
// Get collect detail | 获取collection详情
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: CollectionDetailReq
//
// Responses:
//  200: CollectionInfoResp

func GetAgentCollectionInfoHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CollectionDetailReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := agent.NewGetAgentCollectionInfoLogic(r.Context(), svcCtx)
		resp, err := l.GetAgentCollectionInfo(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
